NX Open C++ Reference Guide
Classes | Public Member Functions | List of all members
NXOpen::CAE::BeamSectionCollection Class Reference

Represents the collection of all NXOpen::CAE::BeamSection in a fem part. More...

Inheritance diagram for NXOpen::CAE::BeamSectionCollection:
NXOpen::TaggedObjectCollection

Classes

class  iterator
 Iterator for accessing the contents of the collection. More...
 

Public Member Functions

iterator begin ()
 Returns an iterator addressing the first element. More...
 
NXOpen::CAE::BeamSectionCloneSection (NXOpen::CAE::BeamSection *sourceSection)
 Creates a copy of a beam cross section. More...
 
NXOpen::CAE::GeneralGeometryBeamSectionCopyAsGeneralGeometrySection (NXOpen::CAE::BeamSection *sourceSection)
 Copies a section to a new general geometry section. More...
 
NXOpen::CAE::GeneralGeometryBeamSectionBuilderCreateGeneralGeometryBeamSectionBuilder (NXOpen::CAE::GeneralGeometryBeamSection *section)
 Creates a general geometry section builder. More...
 
NXOpen::CAE::StandardBeamSectionBuilderCreateStandardBeamSectionBuilder (NXOpen::CAE::StandardBeamSection *section)
 Creates a standard section builder. More...
 
NXOpen::CAE::UserDefinedSolidBeamSectionBuilderCreateUserDefinedSolidBeamSectionBuilder (NXOpen::CAE::UserDefinedSolidBeamSection *section)
 Creates a user-defined solid section builder. More...
 
iterator end ()
 Returns an iterator addressing one past the last element. More...
 
NXOpen::CAE::BeamSectionFindObject (const NXString &journalIdentifier)
 Finds the NXOpen::CAE::BeamSection with the given identifier as recorded in a journal. More...
 
NXOpen::CAE::BeamSectionFindObject (const char *journalIdentifier)
 Finds the NXOpen::CAE::BeamSection with the given identifier as recorded in a journal. More...
 
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents the collection of all NXOpen::CAE::BeamSection in a fem part.


To obtain an instance of this class, refer to NXOpen::CAE::BaseFEModel

Created in NX5.0.0.

Member Function Documentation

iterator NXOpen::CAE::BeamSectionCollection::begin ( )

Returns an iterator addressing the first element.

NXOpen::CAE::BeamSection* NXOpen::CAE::BeamSectionCollection::CloneSection ( NXOpen::CAE::BeamSection sourceSection)

Creates a copy of a beam cross section.

Returns
Cloned section
Created in NX11.0.0.

License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
Parameters
sourceSectionSection to be copied
NXOpen::CAE::GeneralGeometryBeamSection* NXOpen::CAE::BeamSectionCollection::CopyAsGeneralGeometrySection ( NXOpen::CAE::BeamSection sourceSection)

Copies a section to a new general geometry section.

Returns
Copied general geometry section
Created in NX7.5.0.

License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
Parameters
sourceSectionSection to be copied
NXOpen::CAE::GeneralGeometryBeamSectionBuilder* NXOpen::CAE::BeamSectionCollection::CreateGeneralGeometryBeamSectionBuilder ( NXOpen::CAE::GeneralGeometryBeamSection section)

Creates a general geometry section builder.

Returns
General geometry beam section builder
Created in NX7.5.0.

License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
Parameters
sectionNXOpen::CAE::GeneralGeometryBeamSection to be edited
NXOpen::CAE::StandardBeamSectionBuilder* NXOpen::CAE::BeamSectionCollection::CreateStandardBeamSectionBuilder ( NXOpen::CAE::StandardBeamSection section)

Creates a standard section builder.

Returns
Standard beam section builder
Created in NX7.5.0.

License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
Parameters
sectionNXOpen::CAE::StandardBeamSection to be edited
NXOpen::CAE::UserDefinedSolidBeamSectionBuilder* NXOpen::CAE::BeamSectionCollection::CreateUserDefinedSolidBeamSectionBuilder ( NXOpen::CAE::UserDefinedSolidBeamSection section)

Creates a user-defined solid section builder.

Returns
User-defined solid beam section builder
Created in NX7.5.0.

License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
Parameters
sectionNXOpen::CAE::UserDefinedSolidBeamSection to be edited
iterator NXOpen::CAE::BeamSectionCollection::end ( )

Returns an iterator addressing one past the last element.

NXOpen::CAE::BeamSection* NXOpen::CAE::BeamSectionCollection::FindObject ( const NXString journalIdentifier)

Finds the NXOpen::CAE::BeamSection with the given identifier as recorded in a journal.

An object may not return the same value as its JournalIdentifier in different versions of the software. However newer versions of the software should find the same object when FindObject is passed older versions of its journal identifier. In general, this method should not be used in handwritten code and exists to support record and playback of journals.

An exception will be thrown if no object can be found with the given journal identifier.

Returns
Beam Section with this identifier
Created in NX7.5.0.

License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
Parameters
journalIdentifierBeam Section name
NXOpen::CAE::BeamSection* NXOpen::CAE::BeamSectionCollection::FindObject ( const char *  journalIdentifier)

Finds the NXOpen::CAE::BeamSection with the given identifier as recorded in a journal.

An object may not return the same value as its JournalIdentifier in different versions of the software. However newer versions of the software should find the same object when FindObject is passed older versions of its journal identifier. In general, this method should not be used in handwritten code and exists to support record and playback of journals.

An exception will be thrown if no object can be found with the given journal identifier.

Returns
Beam Section with this identifier
Created in NX7.5.0.

License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
Parameters
journalIdentifierBeam Section name
tag_t NXOpen::CAE::BeamSectionCollection::Tag ( ) const

Returns the tag of this object.


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.